openapi: 3.1.0
components:
  schemas:
    AdditionImpact:
      type: object
      required:
        - registrationRequest
        - ppDispatchResponse
      properties:
        registrationRequest:
          type: string
        ppDispatchResponse:
          type: string
    Conflict:
      type: object
      properties:
        conflictType:
          type: string
          enum:
            - HISTORY
            - WELL
            - TUBE
            - ELECTRODE
        eventName:
          type: string
        eventDate:
          type: string
        name:
          type: string
          enum:
            - OWNER
            - MAINTAINER
            - WELLHEADPROTECTOR
            - GROUNDLEVEL
            - TUBE_TOP_DIAMETER
            - TUBE_TOP_POSITION
            - TUBE_STATUS
            - TUBE_PLAIN_PART_LENGTH
            - TUBE_MATERIAL
            - TUBE_GLUE
            - ELECTRODE_STATUS
        fullName:
          type: string
        offendingValue:
          type: string
        message:
          type: string
        url:
          type: string
        tubeNumber:
          type: integer
          format: int32
        cableNumber:
          type: integer
          format: int32
        electrodeNumber:
          type: integer
          format: int32
    ConflictReport:
      type: object
      properties:
        conflicts:
          type: array
          items:
            type: object
            properties:
              conflictType:
                type: string
                enum:
                  - HISTORY
                  - WELL
                  - TUBE
                  - ELECTRODE
              eventName:
                type: string
              eventDate:
                type: string
              name:
                type: string
                enum:
                  - OWNER
                  - MAINTAINER
                  - WELLHEADPROTECTOR
                  - GROUNDLEVEL
                  - TUBE_TOP_DIAMETER
                  - TUBE_TOP_POSITION
                  - TUBE_STATUS
                  - TUBE_PLAIN_PART_LENGTH
                  - TUBE_MATERIAL
                  - TUBE_GLUE
                  - ELECTRODE_STATUS
              fullName:
                type: string
              offendingValue:
                type: string
              message:
                type: string
              url:
                type: string
              tubeNumber:
                type: integer
                format: int32
              cableNumber:
                type: integer
                format: int32
              electrodeNumber:
                type: integer
                format: int32
        attributeConflicts:
          type: array
          items:
            type: object
            properties:
              conflictType:
                type: string
                enum:
                  - HISTORY
                  - WELL
                  - TUBE
                  - ELECTRODE
              eventName:
                type: string
              eventDate:
                type: string
              name:
                type: string
                enum:
                  - OWNER
                  - MAINTAINER
                  - WELLHEADPROTECTOR
                  - GROUNDLEVEL
                  - TUBE_TOP_DIAMETER
                  - TUBE_TOP_POSITION
                  - TUBE_STATUS
                  - TUBE_PLAIN_PART_LENGTH
                  - TUBE_MATERIAL
                  - TUBE_GLUE
                  - ELECTRODE_STATUS
              fullName:
                type: string
              offendingValue:
                type: string
              message:
                type: string
              url:
                type: string
              tubeNumber:
                type: integer
                format: int32
              cableNumber:
                type: integer
                format: int32
              electrodeNumber:
                type: integer
                format: int32
    ConflictType:
      type: string
      enum:
        - HISTORY
        - WELL
        - TUBE
        - ELECTRODE
    ConstraintViolationError:
      type: object
      properties:
        index:
          type: integer
          format: int32
        message:
          type: string
        propertyPath:
          type: string
    ConstraintViolationErrors:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              index:
                type: integer
                format: int32
              message:
                type: string
              propertyPath:
                type: string
    CorrectionImpact:
      type: object
      required:
        - correctionRequest
        - ppDispatchResponse
      properties:
        correctionRequest:
          type: string
        ppDispatchResponse:
          type: string
    DispatchResponse:
      type: object
      xml:
        name: dispatchResponse
    MoveImpact:
      type: object
      required:
        - correctionRequest
        - ppDispatchResponse
      properties:
        correctionRequest:
          type: string
        ppDispatchResponse:
          type: string
    Name:
      type: string
      enum:
        - OWNER
        - MAINTAINER
        - WELLHEADPROTECTOR
        - GROUNDLEVEL
        - TUBE_TOP_DIAMETER
        - TUBE_TOP_POSITION
        - TUBE_STATUS
        - TUBE_PLAIN_PART_LENGTH
        - TUBE_MATERIAL
        - TUBE_GLUE
        - ELECTRODE_STATUS
    ProcessResult:
      type: object
      properties:
        report:
          type: object
          properties:
            conflicts:
              type: array
              items:
                type: object
                properties:
                  conflictType:
                    type: string
                    enum:
                      - HISTORY
                      - WELL
                      - TUBE
                      - ELECTRODE
                  eventName:
                    type: string
                  eventDate:
                    type: string
                  name:
                    type: string
                    enum:
                      - OWNER
                      - MAINTAINER
                      - WELLHEADPROTECTOR
                      - GROUNDLEVEL
                      - TUBE_TOP_DIAMETER
                      - TUBE_TOP_POSITION
                      - TUBE_STATUS
                      - TUBE_PLAIN_PART_LENGTH
                      - TUBE_MATERIAL
                      - TUBE_GLUE
                      - ELECTRODE_STATUS
                  fullName:
                    type: string
                  offendingValue:
                    type: string
                  message:
                    type: string
                  url:
                    type: string
                  tubeNumber:
                    type: integer
                    format: int32
                  cableNumber:
                    type: integer
                    format: int32
                  electrodeNumber:
                    type: integer
                    format: int32
            attributeConflicts:
              type: array
              items:
                type: object
                properties:
                  conflictType:
                    type: string
                    enum:
                      - HISTORY
                      - WELL
                      - TUBE
                      - ELECTRODE
                  eventName:
                    type: string
                  eventDate:
                    type: string
                  name:
                    type: string
                    enum:
                      - OWNER
                      - MAINTAINER
                      - WELLHEADPROTECTOR
                      - GROUNDLEVEL
                      - TUBE_TOP_DIAMETER
                      - TUBE_TOP_POSITION
                      - TUBE_STATUS
                      - TUBE_PLAIN_PART_LENGTH
                      - TUBE_MATERIAL
                      - TUBE_GLUE
                      - ELECTRODE_STATUS
                  fullName:
                    type: string
                  offendingValue:
                    type: string
                  message:
                    type: string
                  url:
                    type: string
                  tubeNumber:
                    type: integer
                    format: int32
                  cableNumber:
                    type: integer
                    format: int32
                  electrodeNumber:
                    type: integer
                    format: int32
    RegistrationRequest:
      type: object
      xml:
        name: registrationRequest
    ServiceError:
      type: object
      properties:
        title:
          type: string
        description:
          type: string
        errorCode:
          type: integer
          format: int32
  examples:
    REGISTRATION:
      value: |-
        <ns:registrationRequest xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/" xmlns:ns="http://www.broservices.nl/xsd/isgmw/1.1" xmlns:ns1="http://www.broservices.nl/xsd/brocommon/3.0" xmlns:ns2="http://www.broservices.nl/xsd/gmwcommon/1.1" xmlns:ns3="http://www.opengis.net/gml/3.2">
            <ns1:requestReference>CI-GMW_TestCase12-1</ns1:requestReference>
            <!--Optional:-->
            <ns1:deliveryAccountableParty>52766179</ns1:deliveryAccountableParty>
            <ns1:qualityRegime>IMBRO/A</ns1:qualityRegime>
            <ns:sourceDocument>
                <!--You have a CHOICE of the next 12 items at this level-->
                <ns:GMW_Construction>
                    <ns:objectIdAccountableParty>B07F0076</ns:objectIdAccountableParty>
                    <ns:deliveryContext codeSpace="urn:bro:gmw:DeliveryContext">publiekeTaak</ns:deliveryContext>
                    <ns:constructionStandard codeSpace="urn:bro:gmw:ConstructionStandard">RWSgwmon</ns:constructionStandard>
                    <ns:initialFunction codeSpace="urn:bro:gmw:InitialFunction">stand</ns:initialFunction>
                    <ns:numberOfMonitoringTubes>1</ns:numberOfMonitoringTubes>
                    <ns:groundLevelStable>nee</ns:groundLevelStable>
                    <ns:wellStability codeSpace="urn:bro:gmw:WellStability">stabielNAP</ns:wellStability>
                    <ns:nitgCode>B01B2345</ns:nitgCode>
                    <ns:owner>27376655</ns:owner>
                    <ns:maintenanceResponsibleParty>27376655</ns:maintenanceResponsibleParty>
                    <ns:wellHeadProtector codeSpace="urn:bro:gmw:WellHeadProtector">geen</ns:wellHeadProtector>
                    <ns:wellConstructionDate>
                        <ns1:date>2015-01-01</ns1:date>
                    </ns:wellConstructionDate>
                    <ns:deliveredLocation>
                        <ns2:location ns3:id="id-dad78bf5-3f4a-4286-8819-ebed615836e7" srsName="urn:ogc:def:crs:EPSG::28992">
                            <ns3:pos>134750.0 477800.0</ns3:pos>
                        </ns2:location>
                        <ns2:horizontalPositioningMethod codeSpace="urn:bro:gmw:HorizontalPositioningMethod">RTKGPS10tot50cm</ns2:horizontalPositioningMethod>
                    </ns:deliveredLocation>
                    <ns:deliveredVerticalPosition>
                        <ns2:localVerticalReferencePoint codeSpace="urn:bro:gmw:LocalVerticalReferencePoint">NAP</ns2:localVerticalReferencePoint>
                        <ns2:offset uom="m">0.000</ns2:offset>
                        <ns2:verticalDatum codeSpace="urn:bro:gmw:VerticalDatum">NAP</ns2:verticalDatum>
                        <ns2:groundLevelPosition uom="m">3.18</ns2:groundLevelPosition>
                        <ns2:groundLevelPositioningMethod codeSpace="urn:bro:gmw:GroundLevelPositioningMethod">RTKGPS20tot100cm</ns2:groundLevelPositioningMethod>
                    </ns:deliveredVerticalPosition>
                    <ns:monitoringTube>
                        <ns:tubeNumber>1</ns:tubeNumber>
                        <ns:tubeType codeSpace="urn:bro:gmw:TubeType">standaardbuis</ns:tubeType>
                        <ns:artesianWellCapPresent>nee</ns:artesianWellCapPresent>
                        <ns:sedimentSumpPresent>ja</ns:sedimentSumpPresent>
                        <ns:numberOfGeoOhmCables>1</ns:numberOfGeoOhmCables>
                        <ns:tubeTopDiameter uom="mm">32</ns:tubeTopDiameter>
                        <ns:variableDiameter>nee</ns:variableDiameter>
                        <ns:tubeStatus codeSpace="urn:bro:gmw:TubeStatus">gebruiksklaar</ns:tubeStatus>
                        <ns:tubeTopPosition uom="m">3.420</ns:tubeTopPosition>
                        <ns:tubeTopPositioningMethod codeSpace="urn:bro:gmw:TubeTopPositioningMethod">afgeleidSbl</ns:tubeTopPositioningMethod>
                        <ns:materialUsed>
                            <ns2:tubePackingMaterial codeSpace="urn:bro:gmw:TubePackingMaterial">bentoniet</ns2:tubePackingMaterial>
                            <ns2:tubeMaterial codeSpace="urn:bro:gmw:TubeMaterial">peHighDensity</ns2:tubeMaterial>
                            <ns2:glue codeSpace="urn:bro:gmw:Glue">geen</ns2:glue>
                        </ns:materialUsed>
                        <ns:screen>
                            <ns:screenLength uom="m">1.000</ns:screenLength>
                            <ns:sockMaterial codeSpace="urn:bro:gmw:SockMaterial">geen</ns:sockMaterial>
                        </ns:screen>
                        <ns:plainTubePart>
                            <ns2:plainTubePartLength uom="m">6.640</ns2:plainTubePartLength>
                        </ns:plainTubePart>
                        <ns:sedimentSump>
                            <ns2:sedimentSumpLength uom="m">0.500</ns2:sedimentSumpLength>
                        </ns:sedimentSump>
                        <ns:geoOhmCable>
                            <ns:cableNumber>1</ns:cableNumber>
                            <ns:electrode>
                                <ns2:electrodeNumber>1</ns2:electrodeNumber>
                                <ns2:electrodePackingMaterial codeSpace="urn:bro:gmw:ElectrodePackingMaterial">zand</ns2:electrodePackingMaterial>
                                <ns2:electrodeStatus codeSpace="urn:bro:gmw:ElectrodeStatus">gebruiksklaar</ns2:electrodeStatus>
                                <ns2:electrodePosition uom="m">-3.98</ns2:electrodePosition>
                            </ns:electrode>
                            <ns:electrode>
                                <ns2:electrodeNumber>2</ns2:electrodeNumber>
                                <ns2:electrodePackingMaterial codeSpace="urn:bro:gmw:ElectrodePackingMaterial">zand</ns2:electrodePackingMaterial>
                                <ns2:electrodeStatus codeSpace="urn:bro:gmw:ElectrodeStatus">gebruiksklaar</ns2:electrodeStatus>
                                <ns2:electrodePosition uom="m">-5.98</ns2:electrodePosition>
                            </ns:electrode>
                        </ns:geoOhmCable>
                    </ns:monitoringTube>
                </ns:GMW_Construction>
            </ns:sourceDocument>
        </ns:registrationRequest>
    DISPATCH_DATA:
      value: |-
        <dispatchDataResponse xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:brocom="http://www.broservices.nl/xsd/brocommon/3.0" xmlns:gmwcommon="http://www.broservices.nl/xsd/gmwcommon/1.1" xmlns:gml="http://www.opengis.net/gml/3.2" xmlns="http://www.broservices.nl/xsd/dsgmw/1.1">
            <brocom:responseType>dispatch</brocom:responseType>
            <brocom:requestReference>test for</brocom:requestReference>
            <brocom:dispatchTime>2020-05-18T16:35:49+01:00</brocom:dispatchTime>
            <dispatchDocument>
                <GMW_PPO_DP gml:id="BRO_0003">
                    <brocom:broId>GMW000000703294</brocom:broId>
                    <brocom:deliveryAccountableParty>52766179</brocom:deliveryAccountableParty>
                    <brocom:objectIdAccountableParty>B42G0040_11_buizen</brocom:objectIdAccountableParty>
                    <brocom:deliveryResponsibleParty>27376655</brocom:deliveryResponsibleParty>
                    <brocom:qualityRegime>IMBRO</brocom:qualityRegime>
                    <withPrehistory>nee</withPrehistory>
                    <deliveryContext codeSpace="urn:bro:gmw:DeliveryContext">publiekeTaak</deliveryContext>
                    <constructionStandard codeSpace="urn:bro:gmw:ConstructionStandard">geen</constructionStandard>
                    <initialFunction codeSpace="urn:bro:gmw:InitialFunction">stand</initialFunction>
                    <removed>nee</removed>
                    <numberOfMonitoringTubes>1</numberOfMonitoringTubes>
                    <groundLevelStable>ja</groundLevelStable>
                    <nitgCode>B42G0040</nitgCode>
                    <wellCode>GMW50B399710</wellCode>
                    <owner>27376655</owner>
                    <maintenanceResponsibleParty>27376655</maintenanceResponsibleParty>
                    <wellHeadProtector codeSpace="urn:bro:gmw:WellHeadProtector">potWaterdicht</wellHeadProtector>
                    <deliveredLocation>
                        <gmwcommon:location srsName="urn:ogc:def:crs:EPSG::28992" gml:id="BRO_0001">
                            <gml:pos>113696.070 396988.217</gml:pos>
                        </gmwcommon:location>
                        <gmwcommon:horizontalPositioningMethod codeSpace="urn:bro:gmw:HorizontalPositioningMethod">GPS200tot1000cm</gmwcommon:horizontalPositioningMethod>
                    </deliveredLocation>
                    <deliveredVerticalPosition>
                        <gmwcommon:localVerticalReferencePoint codeSpace="urn:bro:gmw:LocalVerticalReferencePoint">NAP</gmwcommon:localVerticalReferencePoint>
                        <gmwcommon:offset uom="m">0.000</gmwcommon:offset>
                        <gmwcommon:verticalDatum codeSpace="urn:bro:gmw:VerticalDatum">NAP</gmwcommon:verticalDatum>
                        <gmwcommon:groundLevelPosition uom="m">1.100</gmwcommon:groundLevelPosition>
                        <gmwcommon:groundLevelPositioningMethod codeSpace="urn:bro:gmw:GroundLevelPositioningMethod">AHN2</gmwcommon:groundLevelPositioningMethod>
                    </deliveredVerticalPosition>
                    <standardizedLocation>
                        <brocom:location srsName="urn:ogc:def:crs:EPSG::4258" gml:id="BRO_0002">
                            <gml:pos>51.560321610 4.791562390</gml:pos>
                        </brocom:location>
                        <brocom:coordinateTransformation codeSpace="urn:bro:CoordinateTransformation">RDNAPTRANS2008</brocom:coordinateTransformation>
                    </standardizedLocation>
                    <registrationHistory>
                        <brocom:objectRegistrationTime>2020-05-18T16:35:27+01:00</brocom:objectRegistrationTime>
                        <brocom:registrationStatus codeSpace="urn:bro:RegistrationStatus">geregistreerd</brocom:registrationStatus>
                        <brocom:corrected>nee</brocom:corrected>
                        <brocom:underReview>nee</brocom:underReview>
                        <brocom:deregistered>nee</brocom:deregistered>
                        <brocom:reregistered>nee</brocom:reregistered>
                    </registrationHistory>
                    <wellHistory>
                        <wellConstructionDate>
                            <brocom:date>1968-02-13</brocom:date>
                        </wellConstructionDate>
                    </wellHistory>
                    <monitoringTube>
                        <tubeNumber>1</tubeNumber>
                        <tubeType codeSpace="urn:bro:gmw:TubeType">standaardbuis</tubeType>
                        <artesianWellCapPresent>nee</artesianWellCapPresent>
                        <sedimentSumpPresent>nee</sedimentSumpPresent>
                        <numberOfGeoOhmCables>0</numberOfGeoOhmCables>
                        <tubeTopDiameter uom="mm">32</tubeTopDiameter>
                        <variableDiameter>nee</variableDiameter>
                        <tubeStatus codeSpace="urn:bro:gmw:TubeStatus">gebruiksklaar</tubeStatus>
                        <tubeTopPosition uom="m">1.890</tubeTopPosition>
                        <tubeTopPositioningMethod codeSpace="urn:bro:gmw:TubeTopPositioningMethod">AHN2</tubeTopPositioningMethod>
                        <tubePartInserted>nee</tubePartInserted>
                        <tubeInUse>onbekend</tubeInUse>
                        <materialUsed>
                            <gmwcommon:tubePackingMaterial codeSpace="urn:bro:gmw:TubePackingMaterial">filtergrind</gmwcommon:tubePackingMaterial>
                            <gmwcommon:tubeMaterial codeSpace="urn:bro:gmw:TubeMaterial">peHighDensity</gmwcommon:tubeMaterial>
                            <gmwcommon:glue codeSpace="urn:bro:gmw:Glue">ongespecificeerd</gmwcommon:glue>
                        </materialUsed>
                        <screen>
                            <screenLength uom="m">1.000</screenLength>
                            <sockMaterial codeSpace="urn:bro:gmw:SockMaterial">geen</sockMaterial>
                            <screenTopPosition uom="m">-3.900</screenTopPosition>
                            <screenBottomPosition uom="m">-4.900</screenBottomPosition>
                        </screen>
                        <plainTubePart>
                            <gmwcommon:plainTubePartLength uom="m">5.790</gmwcommon:plainTubePartLength>
                        </plainTubePart>
                    </monitoringTube>
                </GMW_PPO_DP>
            </dispatchDocument>
        </dispatchDataResponse>
paths:
  /gm/gmw/v1/material-history/conflicts/dispatch:
    post:
      summary: Validatierapport van de put en haar materiële historie (uitgiftedocument, PPO, PPO-DP).
      description: |-
        Geeft validatierapport van de put. Er wordt uitgegaan van een correct uitgifte document.Het validatierapport bevat een lijst van gevonden fouten op de tijdlijn.De volgende uitgifte documenten worden ondersteund: PPO, PPO_DP.
        Het rapport geeft in json dezelfde informatie als de rode markeringen in de svg.
      operationId: conflicts-dispatch
      requestBody:
        content:
          application/xml:
            examples:
              dispatchDataResponseType:
                description: Voorbeeld uitgifte document (PPO_DP) in IMBRO XML van de inrichting van de put met historie.
                value: |-
                  <dispatchDataResponse xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:brocom="http://www.broservices.nl/xsd/brocommon/3.0" xmlns:gmwcommon="http://www.broservices.nl/xsd/gmwcommon/1.1" xmlns:gml="http://www.opengis.net/gml/3.2" xmlns="http://www.broservices.nl/xsd/dsgmw/1.1">
                      <brocom:responseType>dispatch</brocom:responseType>
                      <brocom:requestReference>test for</brocom:requestReference>
                      <brocom:dispatchTime>2020-05-18T16:35:49+01:00</brocom:dispatchTime>
                      <dispatchDocument>
                          <GMW_PPO_DP gml:id="BRO_0003">
                              <brocom:broId>GMW000000703294</brocom:broId>
                              <brocom:deliveryAccountableParty>52766179</brocom:deliveryAccountableParty>
                              <brocom:objectIdAccountableParty>B42G0040_11_buizen</brocom:objectIdAccountableParty>
                              <brocom:deliveryResponsibleParty>27376655</brocom:deliveryResponsibleParty>
                              <brocom:qualityRegime>IMBRO</brocom:qualityRegime>
                              <withPrehistory>nee</withPrehistory>
                              <deliveryContext codeSpace="urn:bro:gmw:DeliveryContext">publiekeTaak</deliveryContext>
                              <constructionStandard codeSpace="urn:bro:gmw:ConstructionStandard">geen</constructionStandard>
                              <initialFunction codeSpace="urn:bro:gmw:InitialFunction">stand</initialFunction>
                              <removed>nee</removed>
                              <numberOfMonitoringTubes>1</numberOfMonitoringTubes>
                              <groundLevelStable>ja</groundLevelStable>
                              <nitgCode>B42G0040</nitgCode>
                              <wellCode>GMW50B399710</wellCode>
                              <owner>27376655</owner>
                              <maintenanceResponsibleParty>27376655</maintenanceResponsibleParty>
                              <wellHeadProtector codeSpace="urn:bro:gmw:WellHeadProtector">potWaterdicht</wellHeadProtector>
                              <deliveredLocation>
                                  <gmwcommon:location srsName="urn:ogc:def:crs:EPSG::28992" gml:id="BRO_0001">
                                      <gml:pos>113696.070 396988.217</gml:pos>
                                  </gmwcommon:location>
                                  <gmwcommon:horizontalPositioningMethod codeSpace="urn:bro:gmw:HorizontalPositioningMethod">GPS200tot1000cm</gmwcommon:horizontalPositioningMethod>
                              </deliveredLocation>
                              <deliveredVerticalPosition>
                                  <gmwcommon:localVerticalReferencePoint codeSpace="urn:bro:gmw:LocalVerticalReferencePoint">NAP</gmwcommon:localVerticalReferencePoint>
                                  <gmwcommon:offset uom="m">0.000</gmwcommon:offset>
                                  <gmwcommon:verticalDatum codeSpace="urn:bro:gmw:VerticalDatum">NAP</gmwcommon:verticalDatum>
                                  <gmwcommon:groundLevelPosition uom="m">1.100</gmwcommon:groundLevelPosition>
                                  <gmwcommon:groundLevelPositioningMethod codeSpace="urn:bro:gmw:GroundLevelPositioningMethod">AHN2</gmwcommon:groundLevelPositioningMethod>
                              </deliveredVerticalPosition>
                              <standardizedLocation>
                                  <brocom:location srsName="urn:ogc:def:crs:EPSG::4258" gml:id="BRO_0002">
                                      <gml:pos>51.560321610 4.791562390</gml:pos>
                                  </brocom:location>
                                  <brocom:coordinateTransformation codeSpace="urn:bro:CoordinateTransformation">RDNAPTRANS2008</brocom:coordinateTransformation>
                              </standardizedLocation>
                              <registrationHistory>
                                  <brocom:objectRegistrationTime>2020-05-18T16:35:27+01:00</brocom:objectRegistrationTime>
                                  <brocom:registrationStatus codeSpace="urn:bro:RegistrationStatus">geregistreerd</brocom:registrationStatus>
                                  <brocom:corrected>nee</brocom:corrected>
                                  <brocom:underReview>nee</brocom:underReview>
                                  <brocom:deregistered>nee</brocom:deregistered>
                                  <brocom:reregistered>nee</brocom:reregistered>
                              </registrationHistory>
                              <wellHistory>
                                  <wellConstructionDate>
                                      <brocom:date>1968-02-13</brocom:date>
                                  </wellConstructionDate>
                              </wellHistory>
                              <monitoringTube>
                                  <tubeNumber>1</tubeNumber>
                                  <tubeType codeSpace="urn:bro:gmw:TubeType">standaardbuis</tubeType>
                                  <artesianWellCapPresent>nee</artesianWellCapPresent>
                                  <sedimentSumpPresent>nee</sedimentSumpPresent>
                                  <numberOfGeoOhmCables>0</numberOfGeoOhmCables>
                                  <tubeTopDiameter uom="mm">32</tubeTopDiameter>
                                  <variableDiameter>nee</variableDiameter>
                                  <tubeStatus codeSpace="urn:bro:gmw:TubeStatus">gebruiksklaar</tubeStatus>
                                  <tubeTopPosition uom="m">1.890</tubeTopPosition>
                                  <tubeTopPositioningMethod codeSpace="urn:bro:gmw:TubeTopPositioningMethod">AHN2</tubeTopPositioningMethod>
                                  <tubePartInserted>nee</tubePartInserted>
                                  <tubeInUse>onbekend</tubeInUse>
                                  <materialUsed>
                                      <gmwcommon:tubePackingMaterial codeSpace="urn:bro:gmw:TubePackingMaterial">filtergrind</gmwcommon:tubePackingMaterial>
                                      <gmwcommon:tubeMaterial codeSpace="urn:bro:gmw:TubeMaterial">peHighDensity</gmwcommon:tubeMaterial>
                                      <gmwcommon:glue codeSpace="urn:bro:gmw:Glue">ongespecificeerd</gmwcommon:glue>
                                  </materialUsed>
                                  <screen>
                                      <screenLength uom="m">1.000</screenLength>
                                      <sockMaterial codeSpace="urn:bro:gmw:SockMaterial">geen</sockMaterial>
                                      <screenTopPosition uom="m">-3.900</screenTopPosition>
                                      <screenBottomPosition uom="m">-4.900</screenBottomPosition>
                                  </screen>
                                  <plainTubePart>
                                      <gmwcommon:plainTubePartLength uom="m">5.790</gmwcommon:plainTubePartLength>
                                  </plainTubePart>
                              </monitoringTube>
                          </GMW_PPO_DP>
                      </dispatchDocument>
                  </dispatchDataResponse>
            schema:
              type: object
              xml:
                name: dispatchResponse
        required: true
      responses:
        '200':
          description: Succesvolle opvraag van validatie rapport van de put en haar materiële historie.
          headers:
            API-Version:
              description: Versie van deze GMW API
              schema:
                type: string
                examples:
                  - 3.2.1
          content:
            application/json:
              schema:
                type: object
                properties:
                  report:
                    type: object
                    properties:
                      conflicts:
                        type: array
                        items:
                          type: object
                          properties:
                            conflictType:
                              type: string
                              enum:
                                - HISTORY
                                - WELL
                                - TUBE
                                - ELECTRODE
                            eventName:
                              type: string
                            eventDate:
                              type: string
                            name:
                              type: string
                              enum:
                                - OWNER
                                - MAINTAINER
                                - WELLHEADPROTECTOR
                                - GROUNDLEVEL
                                - TUBE_TOP_DIAMETER
                                - TUBE_TOP_POSITION
                                - TUBE_STATUS
                                - TUBE_PLAIN_PART_LENGTH
                                - TUBE_MATERIAL
                                - TUBE_GLUE
                                - ELECTRODE_STATUS
                            fullName:
                              type: string
                            offendingValue:
                              type: string
                            message:
                              type: string
                            url:
                              type: string
                            tubeNumber:
                              type: integer
                              format: int32
                            cableNumber:
                              type: integer
                              format: int32
                            electrodeNumber:
                              type: integer
                              format: int32
                      attributeConflicts:
                        type: array
                        items:
                          type: object
                          properties:
                            conflictType:
                              type: string
                              enum:
                                - HISTORY
                                - WELL
                                - TUBE
                                - ELECTRODE
                            eventName:
                              type: string
                            eventDate:
                              type: string
                            name:
                              type: string
                              enum:
                                - OWNER
                                - MAINTAINER
                                - WELLHEADPROTECTOR
                                - GROUNDLEVEL
                                - TUBE_TOP_DIAMETER
                                - TUBE_TOP_POSITION
                                - TUBE_STATUS
                                - TUBE_PLAIN_PART_LENGTH
                                - TUBE_MATERIAL
                                - TUBE_GLUE
                                - ELECTRODE_STATUS
                            fullName:
                              type: string
                            offendingValue:
                              type: string
                            message:
                              type: string
                            url:
                              type: string
                            tubeNumber:
                              type: integer
                              format: int32
                            cableNumber:
                              type: integer
                              format: int32
                            electrodeNumber:
                              type: integer
                              format: int32
        '400':
          description: Er zijn fouten waardoor geen validatie rapport is te genereren. Biedt het document eerst ter validatie aan aan de validatie service.
          headers:
            API-Version:
              description: Versie van deze GMW API
              schema:
                type: string
                examples:
                  - 3.2.1
          content:
            application/json:
              schema:
                type: object
                properties:
                  title:
                    type: string
                  description:
                    type: string
                  errorCode:
                    type: integer
                    format: int32
        '417':
          description: Er bevinden zich XML schemafouten in het aangeboden GMW XML document.
          headers:
            API-Version:
              description: Versie van deze GMW API
              schema:
                type: string
                examples:
                  - 3.2.1
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        index:
                          type: integer
                          format: int32
                        message:
                          type: string
                        propertyPath:
                          type: string
  /gm/gmw/v1/material-history/conflicts/impact/addition:
    post:
      summary: Validatierapport impact correctieverzoek (invoegen) op een put en haar materiële historie  (uitgiftedocument, PPO, PPO-DP).
      description: |-
        Geeft validatierapport van de put. Er wordt uitgegaan van een correct uitgifte document.Het validatierapport bevat een lijst van gevonden fouten op de tijdlijn.De volgende uitgifte documenten worden ondersteund: PPO, PPO_DP.
        Het rapport geeft in json dezelfde informatie als de rode markeringen in de svg.
      operationId: conflicts-impact-addition
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              required:
                - registrationRequest
                - ppDispatchResponse
              properties:
                registrationRequest:
                  type: string
                ppDispatchResponse:
                  type: string
            encoding:
              registrationRequest:
                contentType: application/xml
              ppDispatchResponse:
                contentType: application/xml
        required: true
      responses:
        '200':
          description: Succesvolle opvraag van validatie rapport impact correctieverzoek (invoegen) op een put en haar materiële historie.
          headers:
            API-Version:
              description: Versie van deze GMW API
              schema:
                type: string
                examples:
                  - 3.2.1
          content:
            application/json:
              schema:
                type: object
                properties:
                  report:
                    type: object
                    properties:
                      conflicts:
                        type: array
                        items:
                          type: object
                          properties:
                            conflictType:
                              type: string
                              enum:
                                - HISTORY
                                - WELL
                                - TUBE
                                - ELECTRODE
                            eventName:
                              type: string
                            eventDate:
                              type: string
                            name:
                              type: string
                              enum:
                                - OWNER
                                - MAINTAINER
                                - WELLHEADPROTECTOR
                                - GROUNDLEVEL
                                - TUBE_TOP_DIAMETER
                                - TUBE_TOP_POSITION
                                - TUBE_STATUS
                                - TUBE_PLAIN_PART_LENGTH
                                - TUBE_MATERIAL
                                - TUBE_GLUE
                                - ELECTRODE_STATUS
                            fullName:
                              type: string
                            offendingValue:
                              type: string
                            message:
                              type: string
                            url:
                              type: string
                            tubeNumber:
                              type: integer
                              format: int32
                            cableNumber:
                              type: integer
                              format: int32
                            electrodeNumber:
                              type: integer
                              format: int32
                      attributeConflicts:
                        type: array
                        items:
                          type: object
                          properties:
                            conflictType:
                              type: string
                              enum:
                                - HISTORY
                                - WELL
                                - TUBE
                                - ELECTRODE
                            eventName:
                              type: string
                            eventDate:
                              type: string
                            name:
                              type: string
                              enum:
                                - OWNER
                                - MAINTAINER
                                - WELLHEADPROTECTOR
                                - GROUNDLEVEL
                                - TUBE_TOP_DIAMETER
                                - TUBE_TOP_POSITION
                                - TUBE_STATUS
                                - TUBE_PLAIN_PART_LENGTH
                                - TUBE_MATERIAL
                                - TUBE_GLUE
                                - ELECTRODE_STATUS
                            fullName:
                              type: string
                            offendingValue:
                              type: string
                            message:
                              type: string
                            url:
                              type: string
                            tubeNumber:
                              type: integer
                              format: int32
                            cableNumber:
                              type: integer
                              format: int32
                            electrodeNumber:
                              type: integer
                              format: int32
        '400':
          description: Er zijn fouten waardoor geen validatie rapport is te genereren. Biedt het document eerst ter validatie aan aan de validatie service.
          headers:
            API-Version:
              description: Versie van deze GMW API
              schema:
                type: string
                examples:
                  - 3.2.1
          content:
            application/json:
              schema:
                type: object
                properties:
                  title:
                    type: string
                  description:
                    type: string
                  errorCode:
                    type: integer
                    format: int32
        '417':
          description: Er bevinden zich XML schemafouten in het aangeboden GMW XML document.
          headers:
            API-Version:
              description: Versie van deze GMW API
              schema:
                type: string
                examples:
                  - 3.2.1
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        index:
                          type: integer
                          format: int32
                        message:
                          type: string
                        propertyPath:
                          type: string
  /gm/gmw/v1/material-history/conflicts/impact/delete:
    post:
      summary: Validatierapport impact correctieverzoek (verwijderen) op een put en haar materiële historie (uitgiftedocument, PPO, PPO-DP).
      description: |-
        Geeft validatierapport van de put. Er wordt uitgegaan van een correct uitgifte document.Het validatierapport bevat een lijst van gevonden fouten op de tijdlijn.De volgende uitgifte documenten worden ondersteund: PPO, PPO_DP.
        Het rapport geeft in json dezelfde informatie als de rode markeringen in de svg.
      operationId: conflicts-impact-delete
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              required:
                - correctionRequest
                - ppDispatchResponse
              properties:
                correctionRequest:
                  type: string
                ppDispatchResponse:
                  type: string
            encoding:
              correctionRequest:
                contentType: application/xml
              ppDispatchResponse:
                contentType: application/xml
        required: true
      responses:
        '200':
          description: Succesvolle opvraag van validatie rapport impact correctieverzoek (verwijderen) op een put en haar materiële historie.
          headers:
            API-Version:
              description: Versie van deze GMW API
              schema:
                type: string
                examples:
                  - 3.2.1
          content:
            application/json:
              schema:
                type: object
                properties:
                  report:
                    type: object
                    properties:
                      conflicts:
                        type: array
                        items:
                          type: object
                          properties:
                            conflictType:
                              type: string
                              enum:
                                - HISTORY
                                - WELL
                                - TUBE
                                - ELECTRODE
                            eventName:
                              type: string
                            eventDate:
                              type: string
                            name:
                              type: string
                              enum:
                                - OWNER
                                - MAINTAINER
                                - WELLHEADPROTECTOR
                                - GROUNDLEVEL
                                - TUBE_TOP_DIAMETER
                                - TUBE_TOP_POSITION
                                - TUBE_STATUS
                                - TUBE_PLAIN_PART_LENGTH
                                - TUBE_MATERIAL
                                - TUBE_GLUE
                                - ELECTRODE_STATUS
                            fullName:
                              type: string
                            offendingValue:
                              type: string
                            message:
                              type: string
                            url:
                              type: string
                            tubeNumber:
                              type: integer
                              format: int32
                            cableNumber:
                              type: integer
                              format: int32
                            electrodeNumber:
                              type: integer
                              format: int32
                      attributeConflicts:
                        type: array
                        items:
                          type: object
                          properties:
                            conflictType:
                              type: string
                              enum:
                                - HISTORY
                                - WELL
                                - TUBE
                                - ELECTRODE
                            eventName:
                              type: string
                            eventDate:
                              type: string
                            name:
                              type: string
                              enum:
                                - OWNER
                                - MAINTAINER
                                - WELLHEADPROTECTOR
                                - GROUNDLEVEL
                                - TUBE_TOP_DIAMETER
                                - TUBE_TOP_POSITION
                                - TUBE_STATUS
                                - TUBE_PLAIN_PART_LENGTH
                                - TUBE_MATERIAL
                                - TUBE_GLUE
                                - ELECTRODE_STATUS
                            fullName:
                              type: string
                            offendingValue:
                              type: string
                            message:
                              type: string
                            url:
                              type: string
                            tubeNumber:
                              type: integer
                              format: int32
                            cableNumber:
                              type: integer
                              format: int32
                            electrodeNumber:
                              type: integer
                              format: int32
        '400':
          description: Er zijn fouten waardoor geen validatie rapportis te genereren. Biedt het document eerst ter validatie aan aan de validatie service.
          headers:
            API-Version:
              description: Versie van deze GMW API
              schema:
                type: string
                examples:
                  - 3.2.1
          content:
            application/json:
              schema:
                type: object
                properties:
                  title:
                    type: string
                  description:
                    type: string
                  errorCode:
                    type: integer
                    format: int32
        '417':
          description: Er bevinden zich XML schemafouten in het aangeboden GMW XML document.
          headers:
            API-Version:
              description: Versie van deze GMW API
              schema:
                type: string
                examples:
                  - 3.2.1
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        index:
                          type: integer
                          format: int32
                        message:
                          type: string
                        propertyPath:
                          type: string
  /gm/gmw/v1/material-history/conflicts/impact/insert:
    post:
      summary: Validatierapport impact correctieverzoek (invoegen) op een put en haar materiële historie  (uitgiftedocument, PPO, PPO-DP).
      description: |-
        Geeft validatierapport van de put. Er wordt uitgegaan van een correct uitgifte document.Het validatierapport bevat een lijst van gevonden fouten op de tijdlijn.De volgende uitgifte documenten worden ondersteund: PPO, PPO_DP.
        Het rapport geeft in json dezelfde informatie als de rode markeringen in de svg.
      operationId: conflicts-impact-insert
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              required:
                - correctionRequest
                - ppDispatchResponse
              properties:
                correctionRequest:
                  type: string
                ppDispatchResponse:
                  type: string
            encoding:
              correctionRequest:
                contentType: application/xml
              ppDispatchResponse:
                contentType: application/xml
        required: true
      responses:
        '200':
          description: Succesvolle opvraag van validatie rapport impact correctieverzoek (invoegen) op een put en haar materiële historie.
          headers:
            API-Version:
              description: Versie van deze GMW API
              schema:
                type: string
                examples:
                  - 3.2.1
          content:
            application/json:
              schema:
                type: object
                properties:
                  report:
                    type: object
                    properties:
                      conflicts:
                        type: array
                        items:
                          type: object
                          properties:
                            conflictType:
                              type: string
                              enum:
                                - HISTORY
                                - WELL
                                - TUBE
                                - ELECTRODE
                            eventName:
                              type: string
                            eventDate:
                              type: string
                            name:
                              type: string
                              enum:
                                - OWNER
                                - MAINTAINER
                                - WELLHEADPROTECTOR
                                - GROUNDLEVEL
                                - TUBE_TOP_DIAMETER
                                - TUBE_TOP_POSITION
                                - TUBE_STATUS
                                - TUBE_PLAIN_PART_LENGTH
                                - TUBE_MATERIAL
                                - TUBE_GLUE
                                - ELECTRODE_STATUS
                            fullName:
                              type: string
                            offendingValue:
                              type: string
                            message:
                              type: string
                            url:
                              type: string
                            tubeNumber:
                              type: integer
                              format: int32
                            cableNumber:
                              type: integer
                              format: int32
                            electrodeNumber:
                              type: integer
                              format: int32
                      attributeConflicts:
                        type: array
                        items:
                          type: object
                          properties:
                            conflictType:
                              type: string
                              enum:
                                - HISTORY
                                - WELL
                                - TUBE
                                - ELECTRODE
                            eventName:
                              type: string
                            eventDate:
                              type: string
                            name:
                              type: string
                              enum:
                                - OWNER
                                - MAINTAINER
                                - WELLHEADPROTECTOR
                                - GROUNDLEVEL
                                - TUBE_TOP_DIAMETER
                                - TUBE_TOP_POSITION
                                - TUBE_STATUS
                                - TUBE_PLAIN_PART_LENGTH
                                - TUBE_MATERIAL
                                - TUBE_GLUE
                                - ELECTRODE_STATUS
                            fullName:
                              type: string
                            offendingValue:
                              type: string
                            message:
                              type: string
                            url:
                              type: string
                            tubeNumber:
                              type: integer
                              format: int32
                            cableNumber:
                              type: integer
                              format: int32
                            electrodeNumber:
                              type: integer
                              format: int32
        '400':
          description: Er zijn fouten waardoor geen validatie rapportis te genereren. Biedt het document eerst ter validatie aan aan de validatie service.
          headers:
            API-Version:
              description: Versie van deze GMW API
              schema:
                type: string
                examples:
                  - 3.2.1
          content:
            application/json:
              schema:
                type: object
                properties:
                  title:
                    type: string
                  description:
                    type: string
                  errorCode:
                    type: integer
                    format: int32
        '417':
          description: Er bevinden zich XML schemafouten in het aangeboden GMW XML document.
          headers:
            API-Version:
              description: Versie van deze GMW API
              schema:
                type: string
                examples:
                  - 3.2.1
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        index:
                          type: integer
                          format: int32
                        message:
                          type: string
                        propertyPath:
                          type: string
  /gm/gmw/v1/material-history/conflicts/impact/move:
    post:
      summary: Validatierapport impact correctieverzoek (verplaatsen) op een put en haar materiële historie (uitgiftedocument, PPO, PPO-DP).
      description: |-
        Geeft validatierapport van de put. Er wordt uitgegaan van een correct uitgifte document.Het validatierapport bevat een lijst van gevonden fouten op de tijdlijn.De volgende uitgifte documenten worden ondersteund: PPO, PPO_DP.
        Het rapport geeft in json dezelfde informatie als de rode markeringen in de svg.
      operationId: conflicts-impact-move
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              required:
                - correctionRequest
                - ppDispatchResponse
              properties:
                correctionRequest:
                  type: string
                ppDispatchResponse:
                  type: string
            encoding:
              correctionRequest:
                contentType: application/xml
              ppDispatchResponse:
                contentType: application/xml
        required: true
      responses:
        '200':
          description: Succesvolle opvraag van validatie rapport impact correctieverzoek (verplaatsen) op een put en haar materiële historie.
          headers:
            API-Version:
              description: Versie van deze GMW API
              schema:
                type: string
                examples:
                  - 3.2.1
          content:
            application/json:
              schema:
                type: object
                properties:
                  report:
                    type: object
                    properties:
                      conflicts:
                        type: array
                        items:
                          type: object
                          properties:
                            conflictType:
                              type: string
                              enum:
                                - HISTORY
                                - WELL
                                - TUBE
                                - ELECTRODE
                            eventName:
                              type: string
                            eventDate:
                              type: string
                            name:
                              type: string
                              enum:
                                - OWNER
                                - MAINTAINER
                                - WELLHEADPROTECTOR
                                - GROUNDLEVEL
                                - TUBE_TOP_DIAMETER
                                - TUBE_TOP_POSITION
                                - TUBE_STATUS
                                - TUBE_PLAIN_PART_LENGTH
                                - TUBE_MATERIAL
                                - TUBE_GLUE
                                - ELECTRODE_STATUS
                            fullName:
                              type: string
                            offendingValue:
                              type: string
                            message:
                              type: string
                            url:
                              type: string
                            tubeNumber:
                              type: integer
                              format: int32
                            cableNumber:
                              type: integer
                              format: int32
                            electrodeNumber:
                              type: integer
                              format: int32
                      attributeConflicts:
                        type: array
                        items:
                          type: object
                          properties:
                            conflictType:
                              type: string
                              enum:
                                - HISTORY
                                - WELL
                                - TUBE
                                - ELECTRODE
                            eventName:
                              type: string
                            eventDate:
                              type: string
                            name:
                              type: string
                              enum:
                                - OWNER
                                - MAINTAINER
                                - WELLHEADPROTECTOR
                                - GROUNDLEVEL
                                - TUBE_TOP_DIAMETER
                                - TUBE_TOP_POSITION
                                - TUBE_STATUS
                                - TUBE_PLAIN_PART_LENGTH
                                - TUBE_MATERIAL
                                - TUBE_GLUE
                                - ELECTRODE_STATUS
                            fullName:
                              type: string
                            offendingValue:
                              type: string
                            message:
                              type: string
                            url:
                              type: string
                            tubeNumber:
                              type: integer
                              format: int32
                            cableNumber:
                              type: integer
                              format: int32
                            electrodeNumber:
                              type: integer
                              format: int32
        '400':
          description: Er zijn fouten waardoor geen validatie rapportis te genereren. Biedt het document eerst ter validatie aan aan de validatie service.
          headers:
            API-Version:
              description: Versie van deze GMW API
              schema:
                type: string
                examples:
                  - 3.2.1
          content:
            application/json:
              schema:
                type: object
                properties:
                  title:
                    type: string
                  description:
                    type: string
                  errorCode:
                    type: integer
                    format: int32
        '417':
          description: Er bevinden zich XML schemafouten in het aangeboden GMW XML document.
          headers:
            API-Version:
              description: Versie van deze GMW API
              schema:
                type: string
                examples:
                  - 3.2.1
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        index:
                          type: integer
                          format: int32
                        message:
                          type: string
                        propertyPath:
                          type: string
  /gm/gmw/v1/material-history/conflicts/impact/replace:
    post:
      summary: Validatierapport impact correctieverzoek (vervangen) op een put en haar materiële historie (uitgiftedocument, PPO, PPO-DP).
      description: |-
        Geeft validatierapport van de put. Er wordt uitgegaan van een correct uitgifte document.Het validatierapport bevat een lijst van gevonden fouten op de tijdlijn.De volgende uitgifte documenten worden ondersteund: PPO, PPO_DP.
        Het rapport geeft in json dezelfde informatie als de rode markeringen in de svg.
      operationId: conflicts-impact-replace
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              required:
                - correctionRequest
                - ppDispatchResponse
              properties:
                correctionRequest:
                  type: string
                ppDispatchResponse:
                  type: string
            encoding:
              correctionRequest:
                contentType: application/xml
              ppDispatchResponse:
                contentType: application/xml
        required: true
      responses:
        '200':
          description: Succesvolle opvraag van validatie rapport impact correctieverzoek (vervangen) op een put en haar materiële historie.
          headers:
            API-Version:
              description: Versie van deze GMW API
              schema:
                type: string
                examples:
                  - 3.2.1
          content:
            application/json:
              schema:
                type: object
                properties:
                  report:
                    type: object
                    properties:
                      conflicts:
                        type: array
                        items:
                          type: object
                          properties:
                            conflictType:
                              type: string
                              enum:
                                - HISTORY
                                - WELL
                                - TUBE
                                - ELECTRODE
                            eventName:
                              type: string
                            eventDate:
                              type: string
                            name:
                              type: string
                              enum:
                                - OWNER
                                - MAINTAINER
                                - WELLHEADPROTECTOR
                                - GROUNDLEVEL
                                - TUBE_TOP_DIAMETER
                                - TUBE_TOP_POSITION
                                - TUBE_STATUS
                                - TUBE_PLAIN_PART_LENGTH
                                - TUBE_MATERIAL
                                - TUBE_GLUE
                                - ELECTRODE_STATUS
                            fullName:
                              type: string
                            offendingValue:
                              type: string
                            message:
                              type: string
                            url:
                              type: string
                            tubeNumber:
                              type: integer
                              format: int32
                            cableNumber:
                              type: integer
                              format: int32
                            electrodeNumber:
                              type: integer
                              format: int32
                      attributeConflicts:
                        type: array
                        items:
                          type: object
                          properties:
                            conflictType:
                              type: string
                              enum:
                                - HISTORY
                                - WELL
                                - TUBE
                                - ELECTRODE
                            eventName:
                              type: string
                            eventDate:
                              type: string
                            name:
                              type: string
                              enum:
                                - OWNER
                                - MAINTAINER
                                - WELLHEADPROTECTOR
                                - GROUNDLEVEL
                                - TUBE_TOP_DIAMETER
                                - TUBE_TOP_POSITION
                                - TUBE_STATUS
                                - TUBE_PLAIN_PART_LENGTH
                                - TUBE_MATERIAL
                                - TUBE_GLUE
                                - ELECTRODE_STATUS
                            fullName:
                              type: string
                            offendingValue:
                              type: string
                            message:
                              type: string
                            url:
                              type: string
                            tubeNumber:
                              type: integer
                              format: int32
                            cableNumber:
                              type: integer
                              format: int32
                            electrodeNumber:
                              type: integer
                              format: int32
        '400':
          description: Er zijn fouten waardoor geen validatie rapportis te genereren. Biedt het document eerst ter validatie aan aan de validatie service.
          headers:
            API-Version:
              description: Versie van deze GMW API
              schema:
                type: string
                examples:
                  - 3.2.1
          content:
            application/json:
              schema:
                type: object
                properties:
                  title:
                    type: string
                  description:
                    type: string
                  errorCode:
                    type: integer
                    format: int32
        '417':
          description: Er bevinden zich XML schemafouten in het aangeboden GMW XML document.
          headers:
            API-Version:
              description: Versie van deze GMW API
              schema:
                type: string
                examples:
                  - 3.2.1
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        index:
                          type: integer
                          format: int32
                        message:
                          type: string
                        propertyPath:
                          type: string
  /gm/gmw/v1/material-history/conflicts/startregistration:
    post:
      summary: Validatieraport van de put en haar materiële historie (start)registratieverzoek.
      description: |-
        Geeft een validatierapport van de put en tijdlijn. Er wordt uitgegaan van een correct brondocument (XML correct, gevalideerd). Voorbeelden zijn: inrichting van een put met historie (GMW_ConstructionWithHistory).
        Het rapport geeft in json dezelfde informatie als de rode markeringen in de svg.
      operationId: conflicts-startregistration
      requestBody:
        content:
          application/xml:
            examples:
              registrationRequestType:
                description: Voorbeeld brondocument in IMBRO XML van de inrichting van de put (GMW_Construction).
                value: |-
                  <ns:registrationRequest xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/" xmlns:ns="http://www.broservices.nl/xsd/isgmw/1.1" xmlns:ns1="http://www.broservices.nl/xsd/brocommon/3.0" xmlns:ns2="http://www.broservices.nl/xsd/gmwcommon/1.1" xmlns:ns3="http://www.opengis.net/gml/3.2">
                      <ns1:requestReference>CI-GMW_TestCase12-1</ns1:requestReference>
                      <!--Optional:-->
                      <ns1:deliveryAccountableParty>52766179</ns1:deliveryAccountableParty>
                      <ns1:qualityRegime>IMBRO/A</ns1:qualityRegime>
                      <ns:sourceDocument>
                          <!--You have a CHOICE of the next 12 items at this level-->
                          <ns:GMW_Construction>
                              <ns:objectIdAccountableParty>B07F0076</ns:objectIdAccountableParty>
                              <ns:deliveryContext codeSpace="urn:bro:gmw:DeliveryContext">publiekeTaak</ns:deliveryContext>
                              <ns:constructionStandard codeSpace="urn:bro:gmw:ConstructionStandard">RWSgwmon</ns:constructionStandard>
                              <ns:initialFunction codeSpace="urn:bro:gmw:InitialFunction">stand</ns:initialFunction>
                              <ns:numberOfMonitoringTubes>1</ns:numberOfMonitoringTubes>
                              <ns:groundLevelStable>nee</ns:groundLevelStable>
                              <ns:wellStability codeSpace="urn:bro:gmw:WellStability">stabielNAP</ns:wellStability>
                              <ns:nitgCode>B01B2345</ns:nitgCode>
                              <ns:owner>27376655</ns:owner>
                              <ns:maintenanceResponsibleParty>27376655</ns:maintenanceResponsibleParty>
                              <ns:wellHeadProtector codeSpace="urn:bro:gmw:WellHeadProtector">geen</ns:wellHeadProtector>
                              <ns:wellConstructionDate>
                                  <ns1:date>2015-01-01</ns1:date>
                              </ns:wellConstructionDate>
                              <ns:deliveredLocation>
                                  <ns2:location ns3:id="id-dad78bf5-3f4a-4286-8819-ebed615836e7" srsName="urn:ogc:def:crs:EPSG::28992">
                                      <ns3:pos>134750.0 477800.0</ns3:pos>
                                  </ns2:location>
                                  <ns2:horizontalPositioningMethod codeSpace="urn:bro:gmw:HorizontalPositioningMethod">RTKGPS10tot50cm</ns2:horizontalPositioningMethod>
                              </ns:deliveredLocation>
                              <ns:deliveredVerticalPosition>
                                  <ns2:localVerticalReferencePoint codeSpace="urn:bro:gmw:LocalVerticalReferencePoint">NAP</ns2:localVerticalReferencePoint>
                                  <ns2:offset uom="m">0.000</ns2:offset>
                                  <ns2:verticalDatum codeSpace="urn:bro:gmw:VerticalDatum">NAP</ns2:verticalDatum>
                                  <ns2:groundLevelPosition uom="m">3.18</ns2:groundLevelPosition>
                                  <ns2:groundLevelPositioningMethod codeSpace="urn:bro:gmw:GroundLevelPositioningMethod">RTKGPS20tot100cm</ns2:groundLevelPositioningMethod>
                              </ns:deliveredVerticalPosition>
                              <ns:monitoringTube>
                                  <ns:tubeNumber>1</ns:tubeNumber>
                                  <ns:tubeType codeSpace="urn:bro:gmw:TubeType">standaardbuis</ns:tubeType>
                                  <ns:artesianWellCapPresent>nee</ns:artesianWellCapPresent>
                                  <ns:sedimentSumpPresent>ja</ns:sedimentSumpPresent>
                                  <ns:numberOfGeoOhmCables>1</ns:numberOfGeoOhmCables>
                                  <ns:tubeTopDiameter uom="mm">32</ns:tubeTopDiameter>
                                  <ns:variableDiameter>nee</ns:variableDiameter>
                                  <ns:tubeStatus codeSpace="urn:bro:gmw:TubeStatus">gebruiksklaar</ns:tubeStatus>
                                  <ns:tubeTopPosition uom="m">3.420</ns:tubeTopPosition>
                                  <ns:tubeTopPositioningMethod codeSpace="urn:bro:gmw:TubeTopPositioningMethod">afgeleidSbl</ns:tubeTopPositioningMethod>
                                  <ns:materialUsed>
                                      <ns2:tubePackingMaterial codeSpace="urn:bro:gmw:TubePackingMaterial">bentoniet</ns2:tubePackingMaterial>
                                      <ns2:tubeMaterial codeSpace="urn:bro:gmw:TubeMaterial">peHighDensity</ns2:tubeMaterial>
                                      <ns2:glue codeSpace="urn:bro:gmw:Glue">geen</ns2:glue>
                                  </ns:materialUsed>
                                  <ns:screen>
                                      <ns:screenLength uom="m">1.000</ns:screenLength>
                                      <ns:sockMaterial codeSpace="urn:bro:gmw:SockMaterial">geen</ns:sockMaterial>
                                  </ns:screen>
                                  <ns:plainTubePart>
                                      <ns2:plainTubePartLength uom="m">6.640</ns2:plainTubePartLength>
                                  </ns:plainTubePart>
                                  <ns:sedimentSump>
                                      <ns2:sedimentSumpLength uom="m">0.500</ns2:sedimentSumpLength>
                                  </ns:sedimentSump>
                                  <ns:geoOhmCable>
                                      <ns:cableNumber>1</ns:cableNumber>
                                      <ns:electrode>
                                          <ns2:electrodeNumber>1</ns2:electrodeNumber>
                                          <ns2:electrodePackingMaterial codeSpace="urn:bro:gmw:ElectrodePackingMaterial">zand</ns2:electrodePackingMaterial>
                                          <ns2:electrodeStatus codeSpace="urn:bro:gmw:ElectrodeStatus">gebruiksklaar</ns2:electrodeStatus>
                                          <ns2:electrodePosition uom="m">-3.98</ns2:electrodePosition>
                                      </ns:electrode>
                                      <ns:electrode>
                                          <ns2:electrodeNumber>2</ns2:electrodeNumber>
                                          <ns2:electrodePackingMaterial codeSpace="urn:bro:gmw:ElectrodePackingMaterial">zand</ns2:electrodePackingMaterial>
                                          <ns2:electrodeStatus codeSpace="urn:bro:gmw:ElectrodeStatus">gebruiksklaar</ns2:electrodeStatus>
                                          <ns2:electrodePosition uom="m">-5.98</ns2:electrodePosition>
                                      </ns:electrode>
                                  </ns:geoOhmCable>
                              </ns:monitoringTube>
                          </ns:GMW_Construction>
                      </ns:sourceDocument>
                  </ns:registrationRequest>
            schema:
              type: object
              xml:
                name: registrationRequest
        required: true
      responses:
        '200':
          description: Succesvolle opvraag van validatie rapport van de put en haar materiële historie (start)registratieverzoek.
          headers:
            API-Version:
              description: Versie van deze GMW API
              schema:
                type: string
                examples:
                  - 3.2.1
          content:
            application/json:
              schema:
                type: object
                properties:
                  report:
                    type: object
                    properties:
                      conflicts:
                        type: array
                        items:
                          type: object
                          properties:
                            conflictType:
                              type: string
                              enum:
                                - HISTORY
                                - WELL
                                - TUBE
                                - ELECTRODE
                            eventName:
                              type: string
                            eventDate:
                              type: string
                            name:
                              type: string
                              enum:
                                - OWNER
                                - MAINTAINER
                                - WELLHEADPROTECTOR
                                - GROUNDLEVEL
                                - TUBE_TOP_DIAMETER
                                - TUBE_TOP_POSITION
                                - TUBE_STATUS
                                - TUBE_PLAIN_PART_LENGTH
                                - TUBE_MATERIAL
                                - TUBE_GLUE
                                - ELECTRODE_STATUS
                            fullName:
                              type: string
                            offendingValue:
                              type: string
                            message:
                              type: string
                            url:
                              type: string
                            tubeNumber:
                              type: integer
                              format: int32
                            cableNumber:
                              type: integer
                              format: int32
                            electrodeNumber:
                              type: integer
                              format: int32
                      attributeConflicts:
                        type: array
                        items:
                          type: object
                          properties:
                            conflictType:
                              type: string
                              enum:
                                - HISTORY
                                - WELL
                                - TUBE
                                - ELECTRODE
                            eventName:
                              type: string
                            eventDate:
                              type: string
                            name:
                              type: string
                              enum:
                                - OWNER
                                - MAINTAINER
                                - WELLHEADPROTECTOR
                                - GROUNDLEVEL
                                - TUBE_TOP_DIAMETER
                                - TUBE_TOP_POSITION
                                - TUBE_STATUS
                                - TUBE_PLAIN_PART_LENGTH
                                - TUBE_MATERIAL
                                - TUBE_GLUE
                                - ELECTRODE_STATUS
                            fullName:
                              type: string
                            offendingValue:
                              type: string
                            message:
                              type: string
                            url:
                              type: string
                            tubeNumber:
                              type: integer
                              format: int32
                            cableNumber:
                              type: integer
                              format: int32
                            electrodeNumber:
                              type: integer
                              format: int32
        '400':
          description: Er zijn fouten waardoor geen validatie rapport van de put en haar materiële historie (start)registratieverzoek is te genereren. Biedt het document eerst ter validatie aan aan de validatie service.
          headers:
            API-Version:
              description: Versie van deze GMW API
              schema:
                type: string
                examples:
                  - 3.2.1
          content:
            application/json:
              schema:
                type: object
                properties:
                  title:
                    type: string
                  description:
                    type: string
                  errorCode:
                    type: integer
                    format: int32
        '417':
          description: Er bevinden zich XML schemafouten in het aangeboden GMW XML document.
          headers:
            API-Version:
              description: Versie van deze GMW API
              schema:
                type: string
                examples:
                  - 3.2.1
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        index:
                          type: integer
                          format: int32
                        message:
                          type: string
                        propertyPath:
                          type: string
  /gm/gmw/v1/material-history/graph/dispatch:
    post:
      summary: Grafische weergave van de put en haar materiële historie (uitgiftedocument, PPO, PPO-DP).
      description: 'Geeft een grafische weergave van de put en tijdlijn in het SVG formaat. Er wordt uitgegaan van een correct uitgifte document.De grafische weergave bevat de put en op iedere gebeurtenis datum de dan actuele representatie van de put (buizen en beschrijving van de dynamische attributen). De volgende typen uitgifte documenten worden ondersteund: O, O_DP, PPO, PPO_DP.'
      operationId: graph-dispatch
      requestBody:
        content:
          application/xml:
            examples:
              dispatchDataResponseType:
                description: Voorbeeld uitgifte document (PPO_DP) in IMBRO XML van de inrichting van de put met historie.
                value: |-
                  <dispatchDataResponse xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:brocom="http://www.broservices.nl/xsd/brocommon/3.0" xmlns:gmwcommon="http://www.broservices.nl/xsd/gmwcommon/1.1" xmlns:gml="http://www.opengis.net/gml/3.2" xmlns="http://www.broservices.nl/xsd/dsgmw/1.1">
                      <brocom:responseType>dispatch</brocom:responseType>
                      <brocom:requestReference>test for</brocom:requestReference>
                      <brocom:dispatchTime>2020-05-18T16:35:49+01:00</brocom:dispatchTime>
                      <dispatchDocument>
                          <GMW_PPO_DP gml:id="BRO_0003">
                              <brocom:broId>GMW000000703294</brocom:broId>
                              <brocom:deliveryAccountableParty>52766179</brocom:deliveryAccountableParty>
                              <brocom:objectIdAccountableParty>B42G0040_11_buizen</brocom:objectIdAccountableParty>
                              <brocom:deliveryResponsibleParty>27376655</brocom:deliveryResponsibleParty>
                              <brocom:qualityRegime>IMBRO</brocom:qualityRegime>
                              <withPrehistory>nee</withPrehistory>
                              <deliveryContext codeSpace="urn:bro:gmw:DeliveryContext">publiekeTaak</deliveryContext>
                              <constructionStandard codeSpace="urn:bro:gmw:ConstructionStandard">geen</constructionStandard>
                              <initialFunction codeSpace="urn:bro:gmw:InitialFunction">stand</initialFunction>
                              <removed>nee</removed>
                              <numberOfMonitoringTubes>1</numberOfMonitoringTubes>
                              <groundLevelStable>ja</groundLevelStable>
                              <nitgCode>B42G0040</nitgCode>
                              <wellCode>GMW50B399710</wellCode>
                              <owner>27376655</owner>
                              <maintenanceResponsibleParty>27376655</maintenanceResponsibleParty>
                              <wellHeadProtector codeSpace="urn:bro:gmw:WellHeadProtector">potWaterdicht</wellHeadProtector>
                              <deliveredLocation>
                                  <gmwcommon:location srsName="urn:ogc:def:crs:EPSG::28992" gml:id="BRO_0001">
                                      <gml:pos>113696.070 396988.217</gml:pos>
                                  </gmwcommon:location>
                                  <gmwcommon:horizontalPositioningMethod codeSpace="urn:bro:gmw:HorizontalPositioningMethod">GPS200tot1000cm</gmwcommon:horizontalPositioningMethod>
                              </deliveredLocation>
                              <deliveredVerticalPosition>
                                  <gmwcommon:localVerticalReferencePoint codeSpace="urn:bro:gmw:LocalVerticalReferencePoint">NAP</gmwcommon:localVerticalReferencePoint>
                                  <gmwcommon:offset uom="m">0.000</gmwcommon:offset>
                                  <gmwcommon:verticalDatum codeSpace="urn:bro:gmw:VerticalDatum">NAP</gmwcommon:verticalDatum>
                                  <gmwcommon:groundLevelPosition uom="m">1.100</gmwcommon:groundLevelPosition>
                                  <gmwcommon:groundLevelPositioningMethod codeSpace="urn:bro:gmw:GroundLevelPositioningMethod">AHN2</gmwcommon:groundLevelPositioningMethod>
                              </deliveredVerticalPosition>
                              <standardizedLocation>
                                  <brocom:location srsName="urn:ogc:def:crs:EPSG::4258" gml:id="BRO_0002">
                                      <gml:pos>51.560321610 4.791562390</gml:pos>
                                  </brocom:location>
                                  <brocom:coordinateTransformation codeSpace="urn:bro:CoordinateTransformation">RDNAPTRANS2008</brocom:coordinateTransformation>
                              </standardizedLocation>
                              <registrationHistory>
                                  <brocom:objectRegistrationTime>2020-05-18T16:35:27+01:00</brocom:objectRegistrationTime>
                                  <brocom:registrationStatus codeSpace="urn:bro:RegistrationStatus">geregistreerd</brocom:registrationStatus>
                                  <brocom:corrected>nee</brocom:corrected>
                                  <brocom:underReview>nee</brocom:underReview>
                                  <brocom:deregistered>nee</brocom:deregistered>
                                  <brocom:reregistered>nee</brocom:reregistered>
                              </registrationHistory>
                              <wellHistory>
                                  <wellConstructionDate>
                                      <brocom:date>1968-02-13</brocom:date>
                                  </wellConstructionDate>
                              </wellHistory>
                              <monitoringTube>
                                  <tubeNumber>1</tubeNumber>
                                  <tubeType codeSpace="urn:bro:gmw:TubeType">standaardbuis</tubeType>
                                  <artesianWellCapPresent>nee</artesianWellCapPresent>
                                  <sedimentSumpPresent>nee</sedimentSumpPresent>
                                  <numberOfGeoOhmCables>0</numberOfGeoOhmCables>
                                  <tubeTopDiameter uom="mm">32</tubeTopDiameter>
                                  <variableDiameter>nee</variableDiameter>
                                  <tubeStatus codeSpace="urn:bro:gmw:TubeStatus">gebruiksklaar</tubeStatus>
                                  <tubeTopPosition uom="m">1.890</tubeTopPosition>
                                  <tubeTopPositioningMethod codeSpace="urn:bro:gmw:TubeTopPositioningMethod">AHN2</tubeTopPositioningMethod>
                                  <tubePartInserted>nee</tubePartInserted>
                                  <tubeInUse>onbekend</tubeInUse>
                                  <materialUsed>
                                      <gmwcommon:tubePackingMaterial codeSpace="urn:bro:gmw:TubePackingMaterial">filtergrind</gmwcommon:tubePackingMaterial>
                                      <gmwcommon:tubeMaterial codeSpace="urn:bro:gmw:TubeMaterial">peHighDensity</gmwcommon:tubeMaterial>
                                      <gmwcommon:glue codeSpace="urn:bro:gmw:Glue">ongespecificeerd</gmwcommon:glue>
                                  </materialUsed>
                                  <screen>
                                      <screenLength uom="m">1.000</screenLength>
                                      <sockMaterial codeSpace="urn:bro:gmw:SockMaterial">geen</sockMaterial>
                                      <screenTopPosition uom="m">-3.900</screenTopPosition>
                                      <screenBottomPosition uom="m">-4.900</screenBottomPosition>
                                  </screen>
                                  <plainTubePart>
                                      <gmwcommon:plainTubePartLength uom="m">5.790</gmwcommon:plainTubePartLength>
                                  </plainTubePart>
                              </monitoringTube>
                          </GMW_PPO_DP>
                      </dispatchDocument>
                  </dispatchDataResponse>
            schema:
              type: object
              xml:
                name: dispatchResponse
        required: true
      responses:
        '200':
          description: Succesvolle opvraag van de put en haar materiële historie.
          headers:
            API-Version:
              description: Versie van deze GMW API
              schema:
                type: string
                examples:
                  - 3.2.1
          content:
            application/svg+xml: {}
        '400':
          description: Er zijn fouten waardoor geen grafische weergave van put en haar materiële historie kan worden gemaakt. Biedt het document eerst ter validatie aan aan de validatie service.
          headers:
            API-Version:
              description: Versie van deze GMW API
              schema:
                type: string
                examples:
                  - 3.2.1
          content:
            application/json:
              schema:
                type: object
                properties:
                  title:
                    type: string
                  description:
                    type: string
                  errorCode:
                    type: integer
                    format: int32
        '417':
          description: Er bevinden zich XML schemafouten in het aangeboden GMW XML document.
          headers:
            API-Version:
              description: Versie van deze GMW API
              schema:
                type: string
                examples:
                  - 3.2.1
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        index:
                          type: integer
                          format: int32
                        message:
                          type: string
                        propertyPath:
                          type: string
  /gm/gmw/v1/material-history/graph/impact/addition:
    post:
      summary: Grafische weergave impact aanvullingsverzoek op een put en haar materiële historie (uitgiftedocument, PPO, PPO-DP).
      description: |-
        Geeft een grafische weergave van de put en tijdlijn in het SVG formaat. Er wordt uitgegaan van een correct uitgiftedocument (met historie: PPO en PPO-DP). Verder wordt in het 'form' ook een innameverzoek (aanvullen) aangeboden. Dit innameverzoek (aanvullen) wordt uitgezet tegen de materiële historie in het uitgiftedocument. Voorbeelden zijn: aanvullen van het registratie object, met een nieuwe eigenaar (GMW_Owner), aanvullen van de put met nieuwe gegevens ontstaan het wijzigen van de posities bovenkant buis (GMW_Positions), het inkorten van buizen (GMW_Shortening) etc.
        De grafische weergave bevat de put en op iedere gebeurtenisdatum de dan actuele representatie van de put (buizen en beschrijving van de dynamische attributen).
        Conflicten en inconsequenties in de materiële historie worden in rood weergegeven.
        De aangevulde gebeurtenis uit het aanvullingsverzoek wordt donkerblauw weergegeven (aan de rechterkant op het einde van de tijdlijn).
      operationId: graph-impact-addition
      requestBody:
        content:
          multipart/form-data:
            encoding:
              registrationRequest:
                contentType: application/xml
              ppDispatchResponse:
                contentType: application/xml
            schema:
              type: object
              required:
                - registrationRequest
                - ppDispatchResponse
              properties:
                registrationRequest:
                  type: string
                ppDispatchResponse:
                  type: string
        required: true
      responses:
        '200':
          description: Succesvolle opvraag van de impact aanvullingsverzoek op een put en haar materiële historie.
          headers:
            API-Version:
              description: Versie van deze GMW API
              schema:
                type: string
                examples:
                  - 3.2.1
          content:
            application/svg+xml: {}
        '400':
          description: Er zijn fouten waardoor geen grafische weergave van de impact aanvullingsverzoek op een put en haar materiële historie kan worden gemaakt. Biedt het document eerst ter validatie aan aan de validatie service.
          headers:
            API-Version:
              description: Versie van deze GMW API
              schema:
                type: string
                examples:
                  - 3.2.1
          content:
            application/json:
              schema:
                type: object
                properties:
                  title:
                    type: string
                  description:
                    type: string
                  errorCode:
                    type: integer
                    format: int32
        '417':
          description: Er bevinden zich XML schemafouten in het aangeboden GMW XML document.
          headers:
            API-Version:
              description: Versie van deze GMW API
              schema:
                type: string
                examples:
                  - 3.2.1
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        index:
                          type: integer
                          format: int32
                        message:
                          type: string
                        propertyPath:
                          type: string
  /gm/gmw/v1/material-history/graph/impact/delete:
    post:
      summary: Grafische weergave impact correctieverzoek (verwijderen) op een put en haar materiële historie (uitgiftedocument, PPO, PPO-DP).
      description: |-
        Geeft een grafische weergave van de put en tijdlijn in het SVG formaat. Er wordt uitgegaan van een correct uitgiftedocument (met historie: PPO en PPO-DP). Verder wordt in het 'form' ook een invoegen correctieverzoek aangeboden. Dit correctieverzoek (verwijderen) wordt uitgezet tegen de materiële historie in het uitgiftedocument. Voorbeelden zijn: aanvullen van het registratie object, met een nieuwe eigenaar (GMW_Owner), aanvullen van de put met nieuwe gegevens ontstaan het wijzigen van de posities bovenkant buis (GMW_Positions), het inkorten van buizen (GMW_Shortening) etc.
        De grafische weergave bevat de put en op iedere gebeurtenisdatum de dan actuele representatie van de put (buizen en beschrijving van de dynamische attributen).
        Conflicten en inconsequenties in de materiële historie worden in rood weergegeven.
        De verwijderde gebeurtenis ten gevolge van het correctieverzoek (verwijderen) wordt uit gegrijsd weergegeven.
      operationId: graph-impact-delete
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              required:
                - correctionRequest
                - ppDispatchResponse
              properties:
                correctionRequest:
                  type: string
                ppDispatchResponse:
                  type: string
            encoding:
              correctionRequest:
                contentType: application/xml
              ppDispatchResponse:
                contentType: application/xml
        required: true
      responses:
        '200':
          description: Succesvolle opvraag van de impact correctieverzoek (verwijderen) op een put en haar materiële historie.
          headers:
            API-Version:
              description: Versie van deze GMW API
              schema:
                type: string
                examples:
                  - 3.2.1
          content:
            application/svg+xml: {}
        '400':
          description: Er zijn fouten waardoor geen grafische weergave van de impact correctieverzoek (verwijderen) op een put en haar materiële historie kan worden gemaakt. Biedt het document eerst ter validatie aan aan de validatie service.
          headers:
            API-Version:
              description: Versie van deze GMW API
              schema:
                type: string
                examples:
                  - 3.2.1
          content:
            application/json:
              schema:
                type: object
                properties:
                  title:
                    type: string
                  description:
                    type: string
                  errorCode:
                    type: integer
                    format: int32
        '417':
          description: Er bevinden zich XML schemafouten in het aangeboden GMW XML document.
          headers:
            API-Version:
              description: Versie van deze GMW API
              schema:
                type: string
                examples:
                  - 3.2.1
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        index:
                          type: integer
                          format: int32
                        message:
                          type: string
                        propertyPath:
                          type: string
  /gm/gmw/v1/material-history/graph/impact/insert:
    post:
      summary: Grafische weergave impact correctieverzoek (invoegen) op een put en haar materiële historie (uitgiftedocument, PPO, PPO-DP).
      description: |-
        Geeft een grafische weergave van de put en tijdlijn in het SVG formaat. Er wordt uitgegaan van een correct uitgiftedocument (met historie: PPO en PPO-DP). Verder wordt in het 'form' ook een invoegen correctieverzoek aangeboden. Dit invoegen correctieverzoek wordt uitgezet tegen de materiële historie in het uitgiftedocument. Voorbeelden zijn: aanvullen van het registratie object, met een nieuwe eigenaar (GMW_Owner), aanvullen van de put met nieuwe gegevens ontstaan het wijzigen van de posities bovenkant buis (GMW_Positions), het inkorten van buizen (GMW_Shortening) etc.
        De grafische weergave bevat de put en op iedere gebeurtenisdatum de dan actuele representatie van de put (buizen en beschrijving van de dynamische attributen).
        Conflicten en inconsequenties in de materiële historie worden in rood weergegeven.
        De ingevoegde gebeurtenis uit het correctieverzoek (invoegen) wordt donkerblauw weergegeven.
      operationId: graph-impact-insert
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              required:
                - correctionRequest
                - ppDispatchResponse
              properties:
                correctionRequest:
                  type: string
                ppDispatchResponse:
                  type: string
            encoding:
              correctionRequest:
                contentType: application/xml
              ppDispatchResponse:
                contentType: application/xml
        required: true
      responses:
        '200':
          description: Succesvolle opvraag van de impact correctieverzoek (invoegen) op een put en haar materiële historie.
          headers:
            API-Version:
              description: Versie van deze GMW API
              schema:
                type: string
                examples:
                  - 3.2.1
          content:
            application/svg+xml: {}
        '400':
          description: Er zijn fouten waardoor geen grafische weergave van de impact correctieverzoek (invoegen) op een put en haar materiële historie kan worden gemaakt. Biedt het document eerst ter validatie aan aan de validatie service.
          headers:
            API-Version:
              description: Versie van deze GMW API
              schema:
                type: string
                examples:
                  - 3.2.1
          content:
            application/json:
              schema:
                type: object
                properties:
                  title:
                    type: string
                  description:
                    type: string
                  errorCode:
                    type: integer
                    format: int32
        '417':
          description: Er bevinden zich XML schemafouten in het aangeboden GMW XML document.
          headers:
            API-Version:
              description: Versie van deze GMW API
              schema:
                type: string
                examples:
                  - 3.2.1
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        index:
                          type: integer
                          format: int32
                        message:
                          type: string
                        propertyPath:
                          type: string
  /gm/gmw/v1/material-history/graph/impact/move:
    post:
      summary: Grafische weergave impact correctieverzoek (verplaatsen) op een put en haar materiële historie (uitgiftedocument, PPO, PPO-DP).
      description: |-
        Geeft een grafische weergave van de put en tijdlijn in het SVG formaat. Er wordt uitgegaan van een correct uitgiftedocument (met historie: PPO en PPO-DP). Verder wordt in het 'form' ook een invoegen correctieverzoek aangeboden. Dit correctieverzoek (verplaatsen) wordt uitgezet tegen de materiële historie in het uitgiftedocument. Voorbeelden zijn: aanvullen van het registratie object, met een nieuwe eigenaar (GMW_Owner), aanvullen van de put met nieuwe gegevens ontstaan het wijzigen van de posities bovenkant buis (GMW_Positions), het inkorten van buizen (GMW_Shortening) etc.
        De grafische weergave bevat de put en op iedere gebeurtenisdatum de dan actuele representatie van de put (buizen en beschrijving van de dynamische attributen).
        Conflicten en inconsequenties in de materiële historie worden in rood weergegeven.
        De nieuwe plaats van de gebeurtenis als gevolg van het correctieverzoek (verplaatsen) wordt op de tijdlijn weergegeven in donkerblauw, de plek waar deze oorspronkelijk vandaan komt uit gegrijsd.
      operationId: graph-impact-move
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              required:
                - correctionRequest
                - ppDispatchResponse
              properties:
                correctionRequest:
                  type: string
                ppDispatchResponse:
                  type: string
            encoding:
              correctionRequest:
                contentType: application/xml
              ppDispatchResponse:
                contentType: application/xml
        required: true
      responses:
        '200':
          description: Succesvolle opvraag van de impact correctieverzoek (verplaatsen) op een put en haar materiële historie.
          headers:
            API-Version:
              description: Versie van deze GMW API
              schema:
                type: string
                examples:
                  - 3.2.1
          content:
            application/svg+xml: {}
        '400':
          description: Er zijn fouten waardoor geen grafische weergave van de impact correctieverzoek (verplaatsen) op een put en haar materiële historie. kan worden gemaakt. Biedt het document eerst ter validatie aan aan de validatie service.
          headers:
            API-Version:
              description: Versie van deze GMW API
              schema:
                type: string
                examples:
                  - 3.2.1
          content:
            application/json:
              schema:
                type: object
                properties:
                  title:
                    type: string
                  description:
                    type: string
                  errorCode:
                    type: integer
                    format: int32
        '417':
          description: Er bevinden zich XML schemafouten in het aangeboden GMW XML document.
          headers:
            API-Version:
              description: Versie van deze GMW API
              schema:
                type: string
                examples:
                  - 3.2.1
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        index:
                          type: integer
                          format: int32
                        message:
                          type: string
                        propertyPath:
                          type: string
  /gm/gmw/v1/material-history/graph/impact/replace:
    post:
      summary: Grafische weergave impact correctieverzoek (vervangen) op een put en haar materiële historie (uitgiftedocument, PPO, PPO-DP).
      description: |-
        Geeft een grafische weergave van de put en tijdlijn in het SVG formaat. Er wordt uitgegaan van een correct uitgiftedocument (met historie: PPO en PPO-DP). Verder wordt in het 'form' ook een invoegen correctieverzoek aangeboden. Dit correctieverzoek (vervangen) wordt uitgezet tegen de materiële historie in het uitgiftedocument. Voorbeelden zijn: aanvullen van het registratie object, met een nieuwe eigenaar (GMW_Owner), aanvullen van de put met nieuwe gegevens ontstaan het wijzigen van de posities bovenkant buis (GMW_Positions), het inkorten van buizen (GMW_Shortening) etc.
        De grafische weergave bevat de put en op iedere gebeurtenisdatum de dan actuele representatie van de put (buizen en beschrijving van de dynamische attributen).
        Conflicten en inconsequenties in de materiële historie worden in rood weergegeven.
        De vervangen gebeurtenis wordt weergegeven in lichtblauw.
      operationId: graph-impact-replace
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              required:
                - correctionRequest
                - ppDispatchResponse
              properties:
                correctionRequest:
                  type: string
                ppDispatchResponse:
                  type: string
            encoding:
              correctionRequest:
                contentType: application/xml
              ppDispatchResponse:
                contentType: application/xml
        required: true
      responses:
        '200':
          description: Succesvolle opvraag van de impact correctieverzoek (vervangen) op een put en haar materiële historie.
          headers:
            API-Version:
              description: Versie van deze GMW API
              schema:
                type: string
                examples:
                  - 3.2.1
          content:
            application/svg+xml: {}
        '400':
          description: Er zijn fouten waardoor geen grafische weergave van de impact correctieverzoek (vervangen) op een put en haar materiële historie kan worden gemaakt. Biedt het document eerst ter validatie aan aan de validatie service.
          headers:
            API-Version:
              description: Versie van deze GMW API
              schema:
                type: string
                examples:
                  - 3.2.1
          content:
            application/json:
              schema:
                type: object
                properties:
                  title:
                    type: string
                  description:
                    type: string
                  errorCode:
                    type: integer
                    format: int32
        '417':
          description: Er bevinden zich XML schemafouten in het aangeboden GMW XML document.
          headers:
            API-Version:
              description: Versie van deze GMW API
              schema:
                type: string
                examples:
                  - 3.2.1
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        index:
                          type: integer
                          format: int32
                        message:
                          type: string
                        propertyPath:
                          type: string
  /gm/gmw/v1/material-history/graph/startregistration:
    post:
      summary: Grafische weergave van de put en haar materiële historie (start)registratieverzoek.
      description: 'Geeft een grafische weergave van de put en tijdlijn in het SVG formaat. Er wordt uitgegaan van een correct brondocument (XML correct, gevalideerd). Voorbeelden zijn: inrichting van een put (GMW_Construction), inrichting van een put met historie (GMW_ConstructionWithHistory).'
      operationId: graph-startregistration
      requestBody:
        content:
          application/xml:
            examples:
              registrationRequestType:
                description: Voorbeeld brondocument in IMBRO XML van de inrichting van de put (GMW_Construction).
                value: |-
                  <ns:registrationRequest xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/" xmlns:ns="http://www.broservices.nl/xsd/isgmw/1.1" xmlns:ns1="http://www.broservices.nl/xsd/brocommon/3.0" xmlns:ns2="http://www.broservices.nl/xsd/gmwcommon/1.1" xmlns:ns3="http://www.opengis.net/gml/3.2">
                      <ns1:requestReference>CI-GMW_TestCase12-1</ns1:requestReference>
                      <!--Optional:-->
                      <ns1:deliveryAccountableParty>52766179</ns1:deliveryAccountableParty>
                      <ns1:qualityRegime>IMBRO/A</ns1:qualityRegime>
                      <ns:sourceDocument>
                          <!--You have a CHOICE of the next 12 items at this level-->
                          <ns:GMW_Construction>
                              <ns:objectIdAccountableParty>B07F0076</ns:objectIdAccountableParty>
                              <ns:deliveryContext codeSpace="urn:bro:gmw:DeliveryContext">publiekeTaak</ns:deliveryContext>
                              <ns:constructionStandard codeSpace="urn:bro:gmw:ConstructionStandard">RWSgwmon</ns:constructionStandard>
                              <ns:initialFunction codeSpace="urn:bro:gmw:InitialFunction">stand</ns:initialFunction>
                              <ns:numberOfMonitoringTubes>1</ns:numberOfMonitoringTubes>
                              <ns:groundLevelStable>nee</ns:groundLevelStable>
                              <ns:wellStability codeSpace="urn:bro:gmw:WellStability">stabielNAP</ns:wellStability>
                              <ns:nitgCode>B01B2345</ns:nitgCode>
                              <ns:owner>27376655</ns:owner>
                              <ns:maintenanceResponsibleParty>27376655</ns:maintenanceResponsibleParty>
                              <ns:wellHeadProtector codeSpace="urn:bro:gmw:WellHeadProtector">geen</ns:wellHeadProtector>
                              <ns:wellConstructionDate>
                                  <ns1:date>2015-01-01</ns1:date>
                              </ns:wellConstructionDate>
                              <ns:deliveredLocation>
                                  <ns2:location ns3:id="id-dad78bf5-3f4a-4286-8819-ebed615836e7" srsName="urn:ogc:def:crs:EPSG::28992">
                                      <ns3:pos>134750.0 477800.0</ns3:pos>
                                  </ns2:location>
                                  <ns2:horizontalPositioningMethod codeSpace="urn:bro:gmw:HorizontalPositioningMethod">RTKGPS10tot50cm</ns2:horizontalPositioningMethod>
                              </ns:deliveredLocation>
                              <ns:deliveredVerticalPosition>
                                  <ns2:localVerticalReferencePoint codeSpace="urn:bro:gmw:LocalVerticalReferencePoint">NAP</ns2:localVerticalReferencePoint>
                                  <ns2:offset uom="m">0.000</ns2:offset>
                                  <ns2:verticalDatum codeSpace="urn:bro:gmw:VerticalDatum">NAP</ns2:verticalDatum>
                                  <ns2:groundLevelPosition uom="m">3.18</ns2:groundLevelPosition>
                                  <ns2:groundLevelPositioningMethod codeSpace="urn:bro:gmw:GroundLevelPositioningMethod">RTKGPS20tot100cm</ns2:groundLevelPositioningMethod>
                              </ns:deliveredVerticalPosition>
                              <ns:monitoringTube>
                                  <ns:tubeNumber>1</ns:tubeNumber>
                                  <ns:tubeType codeSpace="urn:bro:gmw:TubeType">standaardbuis</ns:tubeType>
                                  <ns:artesianWellCapPresent>nee</ns:artesianWellCapPresent>
                                  <ns:sedimentSumpPresent>ja</ns:sedimentSumpPresent>
                                  <ns:numberOfGeoOhmCables>1</ns:numberOfGeoOhmCables>
                                  <ns:tubeTopDiameter uom="mm">32</ns:tubeTopDiameter>
                                  <ns:variableDiameter>nee</ns:variableDiameter>
                                  <ns:tubeStatus codeSpace="urn:bro:gmw:TubeStatus">gebruiksklaar</ns:tubeStatus>
                                  <ns:tubeTopPosition uom="m">3.420</ns:tubeTopPosition>
                                  <ns:tubeTopPositioningMethod codeSpace="urn:bro:gmw:TubeTopPositioningMethod">afgeleidSbl</ns:tubeTopPositioningMethod>
                                  <ns:materialUsed>
                                      <ns2:tubePackingMaterial codeSpace="urn:bro:gmw:TubePackingMaterial">bentoniet</ns2:tubePackingMaterial>
                                      <ns2:tubeMaterial codeSpace="urn:bro:gmw:TubeMaterial">peHighDensity</ns2:tubeMaterial>
                                      <ns2:glue codeSpace="urn:bro:gmw:Glue">geen</ns2:glue>
                                  </ns:materialUsed>
                                  <ns:screen>
                                      <ns:screenLength uom="m">1.000</ns:screenLength>
                                      <ns:sockMaterial codeSpace="urn:bro:gmw:SockMaterial">geen</ns:sockMaterial>
                                  </ns:screen>
                                  <ns:plainTubePart>
                                      <ns2:plainTubePartLength uom="m">6.640</ns2:plainTubePartLength>
                                  </ns:plainTubePart>
                                  <ns:sedimentSump>
                                      <ns2:sedimentSumpLength uom="m">0.500</ns2:sedimentSumpLength>
                                  </ns:sedimentSump>
                                  <ns:geoOhmCable>
                                      <ns:cableNumber>1</ns:cableNumber>
                                      <ns:electrode>
                                          <ns2:electrodeNumber>1</ns2:electrodeNumber>
                                          <ns2:electrodePackingMaterial codeSpace="urn:bro:gmw:ElectrodePackingMaterial">zand</ns2:electrodePackingMaterial>
                                          <ns2:electrodeStatus codeSpace="urn:bro:gmw:ElectrodeStatus">gebruiksklaar</ns2:electrodeStatus>
                                          <ns2:electrodePosition uom="m">-3.98</ns2:electrodePosition>
                                      </ns:electrode>
                                      <ns:electrode>
                                          <ns2:electrodeNumber>2</ns2:electrodeNumber>
                                          <ns2:electrodePackingMaterial codeSpace="urn:bro:gmw:ElectrodePackingMaterial">zand</ns2:electrodePackingMaterial>
                                          <ns2:electrodeStatus codeSpace="urn:bro:gmw:ElectrodeStatus">gebruiksklaar</ns2:electrodeStatus>
                                          <ns2:electrodePosition uom="m">-5.98</ns2:electrodePosition>
                                      </ns:electrode>
                                  </ns:geoOhmCable>
                              </ns:monitoringTube>
                          </ns:GMW_Construction>
                      </ns:sourceDocument>
                  </ns:registrationRequest>
            schema:
              type: object
              xml:
                name: registrationRequest
        required: true
      responses:
        '200':
          description: Succesvolle opvraag van de put (start)registratieverzoek.
          headers:
            API-Version:
              description: Versie van deze GMW API
              schema:
                type: string
                examples:
                  - 3.2.1
          content:
            application/svg+xml: {}
        '400':
          description: Er zijn fouten waardoor geen grafische weergave (start)registratieverzoek kan worden gemaakt. Biedt het document eerst ter validatie aan aan de validatie service.
          headers:
            API-Version:
              description: Versie van deze GMW API
              schema:
                type: string
                examples:
                  - 3.2.1
          content:
            application/json:
              schema:
                type: object
                properties:
                  title:
                    type: string
                  description:
                    type: string
                  errorCode:
                    type: integer
                    format: int32
        '417':
          description: Er bevinden zich XML schemafouten in het aangeboden GMW XML document.
          headers:
            API-Version:
              description: Versie van deze GMW API
              schema:
                type: string
                examples:
                  - 3.2.1
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        index:
                          type: integer
                          format: int32
                        message:
                          type: string
                        propertyPath:
                          type: string
info:
  title: Grondwatermonitoringput Materiële Historie
  version: 2.197.0
  description: Landelijke Voorziening Basisregistratie Ondergrond (BRO), weergave en validatie materiële historie grondwatermonitoringput (groundwater monitoring well, GMW).
  contact:
    name: BRO Servicedesk
    email: support@broservicedesk.nl
    url: https://basisregistratieondergrond.nl/service-contact/
